{# The systemd unit configuration file for run an Nginx container #}
[Unit]
Description=Nginx Container
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker stop nginx
ExecStartPre=-/usr/bin/docker rm nginx
{# ExecStartPre=/usr/bin/docker pull nginx:1.19.2 #}
ExecStart=/usr/bin/docker run --name nginx --network={{ docker_network_name }} -p 80:80 -p 443:443 -v {{ nginx_config_dir }}/nginx.conf:/etc/nginx/nginx.conf:ro -v /etc/letsencrypt:/etc/letsencrypt -v /var/lib/letsencrypt:/var/lib/letsencrypt nginx:1.19.2

[Install]
WantedBy=multi-user.target
